No menu bar in gtk apps on fresh boot

Bug #1532226 reported by Doug McMahon on 2016-01-08
974
This bug affects 225 people
Affects Status Importance Assigned to Milestone
BAMF
Undecided
Unassigned
Release Notes for Ubuntu
Undecided
Unassigned
bamf (Ubuntu)
Critical
Billiau
Xenial
Critical
Unassigned

Bug Description

Seen here in fresh 16.04 install using 01/07/16 image.
Around 35% of fresh boots or restarts results in no menus in unity panel for most apps, notable exceptions are firefox & thunderbird
A log out/in restores functionality.
When this occurs there is nothing in any of the ~/.cache/upstart logs of obvious note

Test case:
fresh install, no changes
Do a number of restarts from system settings, using either restart > restart or shutdown > restart, here randomly picked one or the other
What happens here:
around 35% of the time the login has no menus in the unity panel for most apps.

Related branches

Doug McMahon (mc3man) wrote :

Would also like to note that "ubuntu-bug unity" no longer opens a ticket....

Sebastien Bacher (seb128) wrote :

Thank you for your bug report. You are the first to report that issue. Do you get menus in e.g gedit? Is there any useful information/any appmenu warning in syslog?

Also what's the issue you get with "ubuntu-bug unity"? it seems to work fine here...

Changed in unity (Ubuntu):
importance: Undecided → High
Doug McMahon (mc3man) wrote :

Hmm, maybe a intermittent local issue??
Anyway attached is syslog, top is 2 or 3 good restarts, bottom is a bad restart with no menus
gedit is also affected, on a default install only FF & Thunderbird retain global menus

As far as ubuntu-bug unity see here, attached screenshot of the opened ff window
https://bugs.launchpad.net/bugs/1532230

Doug McMahon (mc3man) wrote :

The only thing that *seems* to stand out on bad' restart is -
 org.gnome.zeitgeist.SimpleIndexer[1372]: ** (zeitgeist-fts:1864): WARNING **: Unable to get info on application://nautilus-autostart.desktop

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Doug McMahon (mc3man) wrote :

I'm starting to think there is some correlation between this bug & the number of populated dir. on the Desktop. Seems to not occur when # is 22 or less.
Also boot time to Desktop may be a contributing factor, here I'm on an ssd (external but fast, usually less than 10 sec. from grub to Desktop)

Doug McMahon (mc3man) wrote :

Nothing to do with what's on the Desktop, just happens on occasion.

howefield (howefield) wrote :

Not sure if it is worth mentioning, in addition to the behaviour described in this bug opening calculator produces the Menus from KeepassX as per image.

Doug McMahon (mc3man) wrote :

This seems to be continuing at 'random' with no particular rhyme or reason & no way to reproduce on demand.
If that ends up being the case come release it should be noted in the Release notes with the advice to log out/in to fix.

S Madhu (madhu-v) wrote :

Started getting the bug after a SW update early today. Reboot did not work but logout and login worked !
Let me try to see if there is a sequence that reproduces it. Along with this behavior lost right click functionality on
the launcher.

Frogs Hair (detaill) wrote :

Confirming Bug in 16.04

Confirming in new install of 16.04 today. Doug McMahon is correct when he said... "This seems to be continuing at 'random' with no particular rhyme or reason & no way to reproduce on demand." After installing Pinta and The Gimp, I had no global menu for either app. Logged out and back in and all was fine. Rebooted and lost it again. Logged out and back in and the menus were fine. Very odd bug.

kurtisnet (naastonn) wrote :

I have the same issue (fresh install, new home dir). Affected applications: nautilus, gedit, eclipse. I have found the following workaround to restore menus for current session:
* delete ~/.cache/compizconfig-1
* relogin
... and all will be ok until the next reboot.

It looks like this bug occurs after update *.db files in ~/.cache/compizconfig-1 directory

kurtisnet (naastonn) wrote :

Sorry it not depends on ~/.cache/compizconfig-1. Just relogin is enough

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1532226

tags: added: iso-testing
Will Cooke (willcooke) on 2016-03-29
Changed in unity (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)

does
  initctl restart unity-panel-service

fixes the issue?

Also what you get on:
  env | grep GTK_MODULES

Yes, the initctl command restores menus

env | grep GTK_MODULES
GTK_MODULES=gail:atk-bridge:unity-gtk-module

On 03/29/2016 07:50 AM, Marco Trevisan (Treviño) wrote:
> does
> initctl restart unity-panel-service
>
> fixes the issue?
>
> Also what you get on:
> env | grep GTK_MODULES
>

Ook...
When you've not the menus on, could you please report the content of
  tr '\000' '\012' < /proc/$(pidof unity-panel-service)/environ

Also the content of ~/.cache/upstart/unity-panel-service.log could help

For people facing the bug, also the output of these could help:

  gdbus call --session --dest com.canonical.Unity.Panel.Service.Desktop --object-path /com/canonical/Unity/Panel/Service --method com.canonical.Unity.Panel.Service.SyncOne 'libappmenu.so'
  wnckprop --list

~$ tr '\000' '\012' < /proc/$(pidof unity-panel-service)/environ
PATH=/home/doug/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games
XDG_VTNR=7
XDG_SESSION_ID=c2
CLUTTER_IM_MODULE=xim
XDG_GREETER_DATA_DIR=/var/lib/lightdm-data/doug
SHELL=/bin/bash
QT_LINUX_ACCESSIBILITY_ALWAYS_ON=1
GTK_MODULES=gail:atk-bridge:unity-gtk-module
USER=doug
QT_ACCESSIBILITY=1
XDG_SESSION_PATH=/org/freedesktop/DisplayManager/Session0
XDG_SEAT_PATH=/org/freedesktop/DisplayManager/Seat0
DEFAULTS_PATH=/usr/share/gconf/ubuntu.default.path
XDG_CONFIG_DIRS=/etc/xdg/xdg-ubuntu:/usr/share/upstart/xdg:/etc/xdg
DESKTOP_SESSION=ubuntu
QT_QPA_PLATFORMTHEME=appmenu-qt5
PWD=/home/doug
XDG_SESSION_TYPE=x11
XMODIFIERS=@im=none
LANG=en_US.UTF-8
MANDATORY_PATH=/usr/share/gconf/ubuntu.mandatory.path
GDM_LANG=en_US
IM_CONFIG_PHASE=1
COMPIZ_CONFIG_PROFILE=ubuntu
GDMSESSION=ubuntu
SESSIONTYPE=gnome-session
GTK2_MODULES=overlay-scrollbar
SHLVL=0
XDG_SEAT=seat0
HOME=/home/doug
LANGUAGE=en_US
XDG_SESSION_DESKTOP=ubuntu
LOGNAME=doug
QT4_IM_MODULE=xim
XDG_DATA_DIRS=/usr/share/ubuntu:/usr/share/gnome:/usr/local/share/:/usr/share/
XDG_RUNTIME_DIR=/run/user/1000
DISPLAY=:0
GTK_IM_MODULE=xim
XDG_CURRENT_DESKTOP=Unity
XAUTHORITY=/home/doug/.Xauthority
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-lhnVPym4RC
GPG_AGENT_INFO=/tmp/gpg-XqSrNg/S.gpg-agent:1411:1
QT_IM_MODULE=
GNOME_KEYRING_CONTROL=
SSH_AUTH_SOCK=/run/user/1000/keyring/ssh
GNOME_KEYRING_PID=
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
UPSTART_EVENTS=desktop-start
UPSTART_JOB=unity-panel-service
UPSTART_INSTANCE=
UPSTART_SESSION=unix:abstract=/com/ubuntu/upstart-session/1000/1299

On 03/29/2016 09:24 AM, Marco Trevisan (Treviño) wrote:
> Ook...
> When you've not the menus on, could you please report the content of
> tr '\000' '\012' < /proc/$(pidof unity-panel-service)/environ
>

Doug McMahon (mc3man) wrote :

(unity-panel-service:1459): GLib-GIO-CRITICAL **:
g_dbus_proxy_call_sync_internal: assertion 'G_IS_DBUS_PROXY (proxy)' failed

** (unity-panel-service:1459): WARNING **: Failed to get active window:

(unity-panel-service:1459): GLib-CRITICAL **: g_error_free: assertion
'error != NULL' failed
On 03/29/2016 09:24 AM, Marco Trevisan (Treviño) wrote:
> Also the content of ~/.cache/upstart/unity-panel-service.log could help
>

gdbus call....

([('libappmenu.so', '0x1681590', '', uint32 18874547, '_File', true, true, uint32 0, '', false, false, 0), ('libappmenu.so', '0x17146d0', '', 18874547, '_Edit', true, true, 0, '', false, false, 1), ('libappmenu.so', '0x171c980', '', 18874547, '_View', true, true, 0, '', false, false, 2), ('libappmenu.so', '0x18f5190', '', 18874547, '_Go', true, true, 0, '', false, false, 3), ('libappmenu.so', '0x1691f80', '', 18874547, '_Message', true, true, 0, '', false, false, 4), ('libappmenu.so', '0x16a0180', '', 18874547, '_Tools', true, true, 0, '', false, false, 5), ('libappmenu.so', '0x16a6d10', '', 18874547, '_Help', true, true, 0, '', false, false, 6), ('libappmenu.so', '0x17374d0', '', 18877440, '_File', true, true, 0, '', false, false, 0), ('libappmenu.so', '0x16aaa40', '', 18877440, '_Edit', true, true, 0, '', false, false, 1), ('libappmenu.so', '0x16b31a0', '', 18877440, '_View', true, true, 0, '', false, false, 2), ('libappmenu.so', '0x1685690', '', 18877440, '_Insert', true, true, 0, '', false, false, 3), ('libappmenu.so', '0x16c8db0', '', 18877440, 'F_ormat', true, true, 0, '', false, false, 4), ('libappmenu.so', '0x16b67b0', '', 18877440, 'O_ptions', true, true, 0, '', false, false, 5), ('libappmenu.so', '0x174a680', '', 18877440, '_Tools', true, true, 0, '', false, false, 6), ('libappmenu.so', '0x1722680', '', 18877440, '_Help', true, true, 0, '', false, false, 7)],)

wnckprop --list

33554442: Desktop
48234498: XdndCollectionWindowImp
48234501: unity-launcher
48234504: unity-panel
48234507: unity-dash
48234508: Hud

Mh, wnckprop --list only mentions few unity windows, but it seems there would be at least two with xid 18877440 and 18874547 which have menus and should be mapped, isn't it?

Doug McMahon (mc3man) wrote :

If I run the gdbus command right after login (with no menus) then it's just this -
$ gdbus call --session --dest com.canonical.Unity.Panel.Service.Desktop --object-path /com/canonical/Unity/Panel/Service --method com.canonical.Unity.Panel.Service.SyncOne 'libappmenu.so'
([('libappmenu.so', '', '', uint32 0, '', false, false, uint32 0, '', false, false, -1)],)

Eduar Arley Cardona (eduar47) wrote :

All that Marco asked for, just after login, no menus working.

http://paste.ubuntu.com/15573914/

Anyone affected, could you please try to replace your ~/.config/upstart/unity-panel-service.conf with:
  http://pastebin.ubuntu.com/15670770/

If that works, please also replace the "start on started unity7" with "start on starting untiy7" (i.e. http://pastebin.ubuntu.com/15670852/) and let me know...

Err, you don't have to replace
  ~/.config/upstart/unity-panel-service.conf

But instead create a new one. Once the test is done, you can safely delete it, as it will override the system one.

after
  initctl restart unity-panel-service
i have the menus but in ~/.cache/upstart/unity-panel-service.log i see:

(unity-panel-service:2422): Indicator-Appmenu-CRITICAL **: window_menu_model_new: assertion 'BAMF_IS_APPLICATION(app)' failed

(unity-panel-service:2422): Indicator-Appmenu-CRITICAL **: track_menus: assertion 'IS_WINDOW_MENU(menus)' failed

(unity-panel-service:2422): Indicator-Application-WARNING **: Unable to get application list: Operation was cancelled

Pilot6 (hanipouspilot) wrote :

Marco,

After adding a file as suggested in #27 menus in i.e gedit did not appear after reboot.

Putting a unity-panel-service.conf in place as per pastebin works here
to alleviate the issue
(- 2 restarts with file got menus, removed the file & the restart had no
menus, put it back & the restart had menus.
Will try the 2nd variation in a few..

On 04/07/2016 11:15 AM, Marco Trevisan (Treviño) wrote:
> Anyone affected, could you please try to replace your ~/.config/upstart/unity-panel-service.conf with:
> http://pastebin.ubuntu.com/15670770/
>
> If that works, please also replace the "start on started unity7" with
> "start on starting untiy7" (i.e. http://pastebin.ubuntu.com/15670852/)
> and let me know...
>

Marco,

The bug has been mystically fixed for me after I added and removed the ~/.config/upstart/unity-panel-service.conf

I made exactly these steps.

1. Added the file from http://pastebin.ubuntu.com/15670770/

2. Made a reboot.

3. Tested the menus. They did not appear.

4. Removed the file.

5. Made a log off. The system logged in without asking a password as usual. Still no menus.

6. Made a reboot.

7. Manus appeared and not the issue is fixed. The menus always appear after startup without needing to restart unity or a log off.

That is very weird.

Pilot6 (hanipouspilot) wrote :

Typo in 7.

Menus appeared and NOW the issue IS fixed.

That change does not work, 2 restarts & booted to no menus
On 04/07/2016 11:15 AM, Marco Trevisan (Treviño) wrote:
>
> If that works, please also replace the "start on started unity7" with
> "start on starting untiy7" (i.e. http://pastebin.ubuntu.com/15670852/)
> and let me know...
>

Pilot6 (hanipouspilot) wrote :

After installing the latest updates the bug is back again.

2016-04-07 21:34 GMT+03:00 Doug McMahon <email address hidden>:
> That change does not work, 2 restarts & booted to no menus
> On 04/07/2016 11:15 AM, Marco Trevisan (Treviño) wrote:
>>
>> If that works, please also replace the "start on started unity7" with
>> "start on starting untiy7" (i.e. http://pastebin.ubuntu.com/15670852/)
>> and let me know...
>>
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1532226
>
> Title:
> A significant number of fresh boots or restarts result in no menus for
> most apps
>
> Status in unity package in Ubuntu:
> Confirmed
>
> Bug description:
> Seen here in fresh 16.04 install using 01/07/16 image.
> Around 35% of fresh boots or restarts results in no menus in unity panel for most apps, notable exceptions are firefox & thunderbird
> A log out/in restores functionality.
> When this occurs there is nothing in any of the ~/.cache/upstart logs of obvious note
>
> Test case:
> fresh install, no changes
> Do a number of restarts from system settings, using either restart > restart or shutdown > restart, here randomly picked one or the other
> What happens here:
> around 35% of the time the login has no menus in the unity panel for most apps.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1532226/+subscriptions

A bit of a red herring I think (meaning the orig pastebin, which I gather is what was previously commented out in /usr/share/..

One of the workarounds over the winter for those where the menus didn't show most or all of the time was to delete some folders in either .local or .config. This would generally have the effect of returning menus & having that happen for a while or at least more often or not.
So it may be that inserting that conf file was about the same. At some point the missing menus will return and that's just what is seen here. Over maybe 10 restarts or shutdown > restart the menus are again not showing most of the time.
(this is a new install from Tues., my older install on a different laptop gets menus at least 95% of the time but I think only the behavior on new(er) installs is relevant here.

So far the only 100% 'method' to get menus is to restart the service during the user login.

Created the file, rebooted, and the menus are there. Thank you

2016-04-07 21:55 GMT+01:00 Pilot6 <email address hidden>:

> After installing the latest updates the bug is back again.
>
> 2016-04-07 21:34 GMT+03:00 Doug McMahon <email address hidden>:
> > That change does not work, 2 restarts & booted to no menus
> > On 04/07/2016 11:15 AM, Marco Trevisan (Treviño) wrote:
> >>
> >> If that works, please also replace the "start on started unity7" with
> >> "start on starting untiy7" (i.e. http://pastebin.ubuntu.com/15670852/)
> >> and let me know...
> >>
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1532226
> >
> > Title:
> > A significant number of fresh boots or restarts result in no menus for
> > most apps
> >
> > Status in unity package in Ubuntu:
> > Confirmed
> >
> > Bug description:
> > Seen here in fresh 16.04 install using 01/07/16 image.
> > Around 35% of fresh boots or restarts results in no menus in unity
> panel for most apps, notable exceptions are firefox & thunderbird
> > A log out/in restores functionality.
> > When this occurs there is nothing in any of the ~/.cache/upstart logs
> of obvious note
> >
> > Test case:
> > fresh install, no changes
> > Do a number of restarts from system settings, using either restart >
> restart or shutdown > restart, here randomly picked one or the other
> > What happens here:
> > around 35% of the time the login has no menus in the unity panel for
> most apps.
> >
> > To manage notifications about this bug go to:
> >
> https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1532226/+subscriptions
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1565522).
> https://bugs.launchpad.net/bugs/1532226
>
> Title:
> A significant number of fresh boots or restarts result in no menus for
> most apps
>
> Status in unity package in Ubuntu:
> Confirmed
>
> Bug description:
> Seen here in fresh 16.04 install using 01/07/16 image.
> Around 35% of fresh boots or restarts results in no menus in unity panel
> for most apps, notable exceptions are firefox & thunderbird
> A log out/in restores functionality.
> When this occurs there is nothing in any of the ~/.cache/upstart logs of
> obvious note
>
> Test case:
> fresh install, no changes
> Do a number of restarts from system settings, using either restart >
> restart or shutdown > restart, here randomly picked one or the other
> What happens here:
> around 35% of the time the login has no menus in the unity panel for
> most apps.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1532226/+subscriptions
>

> So it may be that inserting that conf file was about the same. At some
point the missing menus will return and that's just what is seen here.
Over maybe 10 restarts or shutdown > restart the menus are again not
showing most of the time.

In order to stress test you can just login / logout. Rebooting isn't
necessary.

Doug McMahon (mc3man) wrote :

On 04/07/2016 09:16 PM, Marco Trevisan (Treviño) wrote:
>> So it may be that inserting that conf file was about the same. At some
> point the missing menus will return and that's just what is seen here.
> Over maybe 10 restarts or shutdown > restart the menus are again not
> showing most of the time.
>
> In order to stress test you can just login / logout. Rebooting isn't
> necessary.
>

in the case of this bug it only manifests on a fresh boot. A log out/in
always has menus & if booting up to no menus then logging out/in always
restores.

As asked in #27, on my fully updated system, I've created ~/.config/upstart/unity-panel-service.conf, and then rebooted. However, with both options "started" and "starting", menus still doesn't works on a fresh boot. I've rebooted several times with both options, and there's no menu present in Nautilus or Gedit. However, menus always works in Chromium.

Also, as #39 says, if I logout/login back, the menus always works ok.

after
  initctl restart unity-panel-service
in the system menu at the very right of the menu bar the restart option is missing.
(was present before command)

before
  initctl restart unity-panel-service
in the system menu at the very right of the menu bar i see the restart option
i hope this will help ... or none?

summary: - A significant number of fresh boots or restarts result in no menus for
- most apps
+ No menu bar in gtk apps on fresh boot

Just to clarify, if you open the HUD, are menus shown there?

Or, otherwise, if you launch this script, and select a gtk window (that is missing menus in unity) you get a list of menus and actions?
https://gist.github.com/3v1n0/58c13a8bac4008a82cd66084fc71c95a

Andrea Azzarone (azzar1) wrote :

After a fresh login, if you can experience the problem can you check if unity-panel-service is running? Just post the output of:

ps -A | grep unity-panel

Corrado, that's actually a bug: Restart option shouldn't show up in unity by default.

Pilot6 (hanipouspilot) wrote :

Marco,

I second this. restart option appears from time to time. After a reboot or log off it disappears.
I think it is some very stupid race kind of a problem. But it is very hard to figure out what is the cause. I had a few of these.

On 04/08/2016 02:28 PM, Andrea Azzarone wrote:
> ps -A | grep unity-panel
$ ps -A | grep unity-panel
  1353 ? 00:00:00 unity-panel-ser

Doug McMahon (mc3man) wrote :
  • 1.txt Edit (16.0 KiB, text/plain; charset=UTF-8; name="1.txt")

On 04/08/2016 01:36 PM, Marco Trevisan (Treviño) wrote:
> Just to clarify, if you open the HUD, are menus shown there?
>
> Or, otherwise, if you launch this script, and select a gtk window (that is missing menus in unity) you get a list of menus and actions?
> https://gist.github.com/3v1n0/58c13a8bac4008a82cd66084fc71c95a
>
hud seems ok but I rarely have used so..
attached from script

menus on the HUD? I just see 'Type your command'

Corrado, just start typing something on it... Maybe a menu you know exists in that window.

However, from what I see in the Doug's output from the script, it looks like that the menus are there. Just not grabbed by UPS. Something that also the ups restart workaround would have suggested me.

ok, if i start typing i see some menu entries with the text i entered. However the problem seems disappeared or at least less frequent after last updates. will try to get some statistics.

Doug McMahon (mc3man) wrote :

A bit of recap based on 3 months of checking this -
Never occurs on a boot to live session
On a short-lived vm never occurred
If that's UPS in the greeter then menus are never missing
Over a period of time thru the normal use of an install occurrences of booting to no menus becomes less, in some cases it seems to disappear altogether over time. (An install I have from Feb 6 almost never boots to no menus
New installs almost always suffer this, here a new unmodified, not configured from default install is almost 100% no menus
Some changes in either .config or .local seem to either bring back the menus on reboot if they were missing or cause them to go missing on reboot if they were there.
Setting the initctl command as a user startup during login always results in menus

Ot.
As far as the restart/shutdown deal - Here both options are always present in all 16.04 installs & have been for months
By comparison in 14.04 both options are always there right at login, after 6 - 10 secs the restart option will disappear, if one opens the menu right after login & leaves exposed it can clearly be seen

I have 3 different installations of Ubuntu Xenial on different partitions of the same desktop PC.
sda3 installed dic 18 2015 - sda10 mar 10 2016 - sda9 apr 6 2016
the 3 systems are upgraded with all the maintenance available today mon-apr-11
the installed applications are (about) the same
the problem still appear on 2 install (sda3 and sda10) but seems disappeared on sda9 (shutdown-restart 9 times)

corrado@corrado-xeni:~$ inxi -Fx
System: Host: corrado-xeni Kernel: 4.4.0-18-generic x86_64 (64 bit gcc: 5.3.1)
           Desktop: Unity 7.4.0 (Gtk 3.18.9-1ubuntu3)
           Distro: Ubuntu 16.04 xenial
Machine: Mobo: Gigabyte model: H87M-D3H v: x.x
           Bios: American Megatrends v: F3 date: 04/24/2013
CPU: Dual core Intel Core i3-4130 (-HT-MCP-) cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 13569
           clock speeds: max: 3400 MHz 1: 2750 MHz 2: 2800 MHz 3: 2891 MHz
           4: 2622 MHz
Graphics: Card: Intel 4th Generation Core Processor Family Integrated Graphics Controller
           bus-ID: 00:02.0
           Display Server: X.Org 1.18.3 drivers: intel (unloaded: fbdev,vesa)
           Resolution: 1680x1050@59.88hz
           GLX Renderer: Mesa DRI Intel Haswell
           GLX Version: 3.0 Mesa 11.2.0 Direct Rendering: Yes
Audio: Card-1 Intel 8 Series/C220 Series High Definition Audio Controller
           driver: snd_hda_intel bus-ID: 00:1b.0
           Card-2 Intel Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller
           driver: snd_hda_intel bus-ID: 00:03.0
           Sound: Advanced Linux Sound Architecture v: k4.4.0-18-generic
Network: Card: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169 v: 2.3LK-NAPI port: e000 bus-ID: 02:00.0
           IF: enp2s0 state: up speed: 100 Mbps duplex: full
           mac: 94:de:80:7e:90:a7
Drives: HDD Total Size: 1000.2GB (9.5% used)
           ID-1: /dev/sda model: ST1000DM003 size: 1000.2GB temp: 32C
Partition: ID-1: / size: 32G used: 6.7G (23%) fs: ext4 dev: /dev/sda9
           ID-2: swap-1 size: 8.59GB used: 0.00GB (0%) fs: swap dev: /dev/sda2
RAID: No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors: System Temperatures: cpu: 29.8C mobo: 27.8C
           Fan Speeds (in rpm): cpu: N/A
Info: Processes: 239 Uptime: 7 min Memory: 604.2/7863.1MB
           Init: systemd runlevel: 5 Gcc sys: 5.3.1
           Client: Shell (bash 4.3.421) inxi: 2.2.35
corrado@corrado-xeni:~$

XA Hydra (xa-hydra) wrote :

I have been experiencing this bug as well. Firefox has been affected RARELY, and interestingly enough, if it is- running the unity command will close the affected instance of Firefox. If Firefox is NOT affected by the bug and the menu works, then it remains up upon refreshing Unity.

Nearly every other app outside of Mozilla seems to have a 50/50 chance of never displaying a menu upon mouse hover in the menu bar.

Vlad K. (vkh) wrote :

I reported one of the duplicates. I thought this was fixed but here we go LibreOffice lost menus. I had to log out and log back in, the menus returned.

16.04 beta fully updated.

XA Hydra (xa-hydra) wrote :

A sizable amount of updates dropped this morning... And so far, so good. I've not seen the problem surface today after running just about every program I have installed ( including LibreOffice ) . I will report if it does occur again.

Pilot6 (hanipouspilot) wrote :

It looks fixed for me too after some updates.

2016-04-15 16:28 GMT+03:00 XA Hydra <email address hidden>:
> A sizable amount of updates dropped this morning... And so far, so good.
> I've not seen the problem surface today after running just about every
> program I have installed ( including LibreOffice ) . I will report if it
> does occur again.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1532226
>
> Title:
> No menu bar in gtk apps on fresh boot
>
> Status in unity package in Ubuntu:
> Confirmed
>
> Bug description:
> Seen here in fresh 16.04 install using 01/07/16 image.
> Around 35% of fresh boots or restarts results in no menus in unity panel for most apps, notable exceptions are firefox & thunderbird
> A log out/in restores functionality.
> When this occurs there is nothing in any of the ~/.cache/upstart logs of obvious note
>
> Test case:
> fresh install, no changes
> Do a number of restarts from system settings, using either restart > restart or shutdown > restart, here randomly picked one or the other
> What happens here:
> around 35% of the time the login has no menus in the unity panel for most apps.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1532226/+subscriptions

XA Hydra (xa-hydra) wrote :

*sigh* Just happened. Came back after lunch and Rhythmbox, Pidgin and Filezilla all lost their menus. Rhythmbox has been running since my last post and was working fine earlier.

Curiously enough, both Firefox and Thunderbird are still working fine (!?)

XA Hydra (xa-hydra) wrote :

OK, this is odd. Menus are lost for the affected apps after restarting them... That's usual for this bug, but I have VMware Horizon running and it has it's menu running within it's own window ( as with non-Unity environments ). When I highlight this program and hover over the global menu bar, I get... Menu options from VLC!?? I'm not running VLC ( checked processes in System Monitor to be sure ). I was running it about a half hour ago though. Maybe this odd behavior could shed some light on what is going on?

Doug McMahon (mc3man) wrote :

The only accurate way to see if this has gone away on it's own is to do
a fresh install & check thru a number of boot ups.
As mentioned over time an install will be less likely to boot to no
menus, that doesn't mean fixed, just less likely. So in a manner the bug
is partially self healing.
As of today it's not fixed.

On 04/15/2016 01:17 PM, Pilot6 wrote:
> It looks fixed for me too after some updates.
>
> 2016-04-15 16:28 GMT+03:00 XA Hydra <email address hidden>:
>> A sizable amount of updates dropped this morning... And so far, so good.
>> I've not seen the problem surface today after running just about every
>> program I have installed ( including LibreOffice ) . I will report if it
>> does occur again.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1532226
>>
>> Title:
>> No menu bar in gtk apps on fresh boot
>>
>> Status in unity package in Ubuntu:
>> Confirmed
>>
>> Bug description:
>> Seen here in fresh 16.04 install using 01/07/16 image.
>> Around 35% of fresh boots or restarts results in no menus in unity panel for most apps, notable exceptions are firefox & thunderbird
>> A log out/in restores functionality.
>> When this occurs there is nothing in any of the ~/.cache/upstart logs of obvious note
>>
>> Test case:
>> fresh install, no changes
>> Do a number of restarts from system settings, using either restart > restart or shutdown > restart, here randomly picked one or the other
>> What happens here:
>> around 35% of the time the login has no menus in the unity panel for most apps.
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1532226/+subscriptions

pvilela (paulo-m-costa) wrote :

Fixed for me :-)

2016-04-15 20:02 GMT+01:00 Doug McMahon <email address hidden>:

> The only accurate way to see if this has gone away on it's own is to do
> a fresh install & check thru a number of boot ups.
> As mentioned over time an install will be less likely to boot to no
> menus, that doesn't mean fixed, just less likely. So in a manner the bug
> is partially self healing.
> As of today it's not fixed.
>
> On 04/15/2016 01:17 PM, Pilot6 wrote:
> > It looks fixed for me too after some updates.
> >
> > 2016-04-15 16:28 GMT+03:00 XA Hydra <email address hidden>:
> >> A sizable amount of updates dropped this morning... And so far, so good.
> >> I've not seen the problem surface today after running just about every
> >> program I have installed ( including LibreOffice ) . I will report if it
> >> does occur again.
> >>
> >> --
> >> You received this bug notification because you are subscribed to the bug
> >> report.
> >> https://bugs.launchpad.net/bugs/1532226
> >>
> >> Title:
> >> No menu bar in gtk apps on fresh boot
> >>
> >> Status in unity package in Ubuntu:
> >> Confirmed
> >>
> >> Bug description:
> >> Seen here in fresh 16.04 install using 01/07/16 image.
> >> Around 35% of fresh boots or restarts results in no menus in unity
> panel for most apps, notable exceptions are firefox & thunderbird
> >> A log out/in restores functionality.
> >> When this occurs there is nothing in any of the ~/.cache/upstart
> logs of obvious note
> >>
> >> Test case:
> >> fresh install, no changes
> >> Do a number of restarts from system settings, using either restart >
> restart or shutdown > restart, here randomly picked one or the other
> >> What happens here:
> >> around 35% of the time the login has no menus in the unity panel for
> most apps.
> >>
> >> To manage notifications about this bug go to:
> >>
> https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1532226/+subscriptions
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1565522).
> https://bugs.launchpad.net/bugs/1532226
>
> Title:
> No menu bar in gtk apps on fresh boot
>
> Status in unity package in Ubuntu:
> Confirmed
>
> Bug description:
> Seen here in fresh 16.04 install using 01/07/16 image.
> Around 35% of fresh boots or restarts results in no menus in unity panel
> for most apps, notable exceptions are firefox & thunderbird
> A log out/in restores functionality.
> When this occurs there is nothing in any of the ~/.cache/upstart logs of
> obvious note
>
> Test case:
> fresh install, no changes
> Do a number of restarts from system settings, using either restart >
> restart or shutdown > restart, here randomly picked one or the other
> What happens here:
> around 35% of the time the login has no menus in the unity panel for
> most apps.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1532226/+subscriptions
>

Vlad K. (vkh) wrote :

Just happened again on Inkscape, fully patched Xenial. Opened file, the menus were there. Closed Inkscape, reopened it two minutes later, the menus are gone and stayed gone until re-login.

Will Cooke (willcooke) on 2016-04-16
Changed in unity (Ubuntu):
importance: High → Critical
Rui Neto (rnetocombr) wrote :

Any news ? Need some help testing ? More info ? Still happening to me, cdimage from 18 April.

Cheers!

So, unfortunately it's quite hard to reproduce this issue here (I can't get either in VMs and in two laptops), so we need some debug hints in your side.

I've prepared a ppa with a version of indicator-appmenu that includes some debugging bits. Just add this ppa:
  ppa:3v1n0/xenial-missing-menus-tests

Install indicator-appmenu from there, and once this issue shows up, please send us your copy of
  ~/.cache/upstart/unity-panel-service.log

You can then revert the change by using ppa-purge or just:
  sudo rm /etc/apt/sources.list.d/3v1n0-ubuntu-xenial-missing-menus-tests-xenial.list
  sudo apt-get install indicator-appmenu/xenial

Thanks.

Barry Drake (b-drake) wrote :

The problem is back for me ater this morning's updates.

Sebastien Bacher (seb128) wrote :

> The problem is back for me ater this morning's updates.

Can you try the debug steps from the previous comment?

Doug McMahon (mc3man) wrote :

Was having trouble on this machine which previously showed the issue 90% of the time. So added ppa, moved .config & .local to .bak's, rebooted & no menus. Attached is the log.
 Note that I now see the menus for nautilus in the panel after opening firefox but nothing drops down. (this is a new variation.. maybe from ppa version??

Doug McMahon (mc3man) wrote :

You possibly should take what I posted above with a large grain of salt as it appears that with the ppa debug version one can't get unity panel menus. ( or at the least menus that expose

Sean Dague (sdague) wrote :

Definitely hitting this this morning after upgrade from 14.04. All gtk apps seem effected.

Indie (alanlitster) wrote :

I've just downloaded the release version of 16.04 and ran it from a DVD and have exactly the same issue - no menu bar for gnome-terminal or gedit.

If I log out and back in again the menu appears.

Barry Drake (b-drake) wrote :

On 21/04/16 18:13, Doug McMahon wrote:

The fix described above; stopping and re-starting Unity worked OK for me.
> You possibly should take what I posted above with a large grain of salt
> as it appears that with the ppa debug version one can't get unity panel
> menus. ( or at the least menus that expose
>

--
http://barrydrake.co.nr/

Changed in ubuntu-release-notes:
status: New → Fix Released
tags: added: xenial

Marco, Sebastian: Attached log of a buggy case I got after a few restarts (Marco's ppa enabled). Everything was working for many sessions until this.

This case was not 100% identical to the other times I had missing menus, but so similar that it's prolly related. Now the menu headers are there in the panel, but clicking them does not unfold the menu. After starting/stopping a few gtk apps I sometimes don't have any menus at all for them, or alternatively, get the unclickable menu headers.

Firefox consistently fully working normal menus.

Interestingly enough I can not get menus working at all for gtk apps now by restarting unity-panel-service - which have otherwise worked for me before...

vexorian (vexorian) wrote :

I am experiencing this.
* Fresh 16.04 install.
* First login menus worked correctly.
* Doesn't seem specific to the menu in the top panel. I am using the option to make menu bars show in window title bars and permanently.
* This seems to only happen with gnome apps. GIMP, Firefox, Inkscape, Chrome all work fine. Their menu bars show up in title bars when not maximized and in top panel when maximized. This fails with gnome apps like gnome-terminal, gedit or nautilus.
* Using the HUD I can still access the application's menu options.
* Running 'unity' also fixes the problem for me.

Jim Raredon (decoy-umd) wrote :

I'm updated as of 7pm EST on April 23rd, and the bug is still there.

I have to run "unity" from the HUD to bring menus back after every boot. This started when I upgraded to 16.04 from 15.10 on all four PCs I have running Ubuntu.

Multibrelch (mulbrelch) wrote :

I experience exactly the same as described by vexorian (vexorian).

Some further comments:
- When executing 'unity' in a terminal, menus become visible. However, upon boot, they are gone again.
- My system: clean fresh install of Ubuntu 16.04 (64 Bit), GPU: nVidia GeForce 8400M GS

Multibrelch (mulbrelch) wrote :

I followed all steps described in message #65. After installation and reboot same failure. Here the file ... . I hope that helps.

Multibrelch, it looks like that BAMF isn't properly initialized in your session. In fact, this could be the problem.

So, there are a couple of things you could try, to go further with debugging:
 1) Replace your /usr/lib/x86_64-linux-gnu/bamf/bamfdaemon-dbus-runner
      with http://paste.ubuntu.com/16046263/

Then try this for some time and see if this solve the issue for you.

If it doesn't, edit the file /usr/share/dbus-1/services/org.ayatana.bamf.service so that the Exec line is (so just drop the "-dbus-runner" sufix):
  Exec=/usr/lib/x86_64-linux-gnu/bamf/bamfdaemon

And again, give a test to this.

PS: I also noticed I did a mistake in the ppa version of the indicator (damned multi-editing!) so, something could have not worked because of that. An update should be available soon for you.

Mikkel, thanks for testing this out.

The fact that entries doesn't open is weird, but it could have caused by a change I did in the ppa version. So, please check that again.

In general if we've the entries visible, then we should be able to pop them up. If not this could be either a new bug :-/

Multibrelch (mulbrelch) wrote :

Hi Marco Trevisan (Treviño) (3v1n0),

thanks a lot for your comment!

> 1) Replace your /usr/lib/x86_64-linux-gnu/bamf/bamfdaemon-dbus-runner ...

Hmm, the file '/usr/lib/x86_64-linux-gnu/bamf/bamfdaemon-dbus-runner' does not exist. :-)

> 2) If it doesn't, edit the file /usr/share/dbus-1/services/org.ayatana.bamf.service so
> that the Exec line is (so just drop the "-dbus-runner" sufix):
> Exec=/usr/lib/x86_64-linux-gnu/bamf/bamfdaemon

The file exists and this 'Exec' entry already was present ... .

So far ...

Pierre Blanche (pablanche) wrote :

Seeing the same problem with 16.04 from 15.10: no main menu for some applications.
Thunderbird and Firefox are not affected.
Happens with:
LibreOffice 5.1.2.2
Document viewer 3.18.2
Gimp 2.8.16

Menus reappear after logout-login.

Ask for any log if needed.
--
Pierre

Pierre Blanche (pablanche) wrote :

Some edit from post 82:
Not affected:
Thuderbird
Firefox
Mendeley
Kdenlive

Happens with:
LibreOffice 5.1.2.2
Document viewer 3.18.2
Gimp 2.8.16
Sofware Center
InkShape
Calculator
Rhythmbox

Menus not displayed at startup but reappear after logout-login.
Reproducible so far.

--
Pierre

Pierre, please check comment #65 (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1532226/comments/65) to give us some hints of how that happens.

> The file exists and this 'Exec' entry already was present ... .

Multibrelch, I think there's something wrong with that. Can you check what version of bamfdaemon you've installed (apt-cache policy bamfdaemon)?

These are the files that bamfdaemon package should provide:
  http://packages.ubuntu.com/xenial/amd64/bamfdaemon/filelist
(cross-check by using "dpkg -L bamfdaemon" there)

About 90% sure this is the same as a bug I tried to report earlier, but is there any test to be sure? I have a couple of peculiar observations that might help in the diagnosis and cure...

Suspending seemed to fix it, at least temporarily. Before that there was nothing random about it. There were never any menus except for Firefox.

No mention of the Appearance setting to stop the dynamic behavior of the menus. I switched it to static, and haven't seen it since then.

I'm still wondering if this bug might be related to memory problems that BOINC Manager started having after the upgrade, but right now I think they are separate problems.

Jean-Marc (m-balthazar) wrote :

Hello,

We can add apps like Meld, TuxGuitar, Simple Scan...
All using GTK.
Here is my log after a reboot (no menu bars displayed)

Thank you

Pierre Blanche (pablanche) wrote :

Here is my result from unity-panel-service.log when the bug is confirmed (no menu bar displayed):
******************************
(unity-panel-service:2412): GLib-GIO-CRITICAL **: g_dbus_proxy_call_sync_intern$

** (unity-panel-service:2412): WARNING **: Failed to get active window:

(unity-panel-service:2412): GLib-CRITICAL **: g_error_free: assertion 'error !=$

(unity-panel-service:2412): GLib-GIO-CRITICAL **: g_dbus_proxy_call_sync_intern$

** (unity-panel-service:2412): WARNING **: Failed to get active window:

(unity-panel-service:2412): GLib-CRITICAL **: g_error_free: assertion 'error !=$

****************************
The log is empty after logout-login and the bug is not present (menu bar OK).

Pierre, have you checked what I suggested before?
Also, please install indicator-appmenu from the previously mentioned PPA.

Jean-Marc, thanks for the log, but please install indicator-appemenu from ppa mentioned https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1532226/comments/65, so we can get better debug informations.

Jean-Marc (m-balthazar) wrote :

Ooops, it was a wrong log!

I hope this one is the right one!

Thank you Marco

Pierre Blanche (pablanche) wrote :

HI Marco,

I followed the instruction from post #65:
I added the ppa:3v1n0/xenial-missing-menus-tests
Install indicator-appmenu
And copy the content of the log ibn post #87

Did not purge the ppa yet or install indicator-appmenu/xenial

Do you want me to?

Multibrelch (mulbrelch) wrote :

Dear Marco Trevisan (Treviño) (3v1n0).

I have too many laptops ... sorry, I was mistaken, I have looked on a different laptop
that runs with 14.04 ... .

So, with respect to your message #79 I got (on the laptop with 16.04):

> 1) Replace your /usr/lib/x86_64-linux-gnu/bamf/bamfdaemon-dbus-runner ...
No changes ... .

> 2) If it doesn't, edit the file /usr/share/dbus-1/services/org.ayatana.bamf.service so
There are changes, after the first boot! Now it works for almost all programs.
HOWEVER, the menu of, e.g., the calculator was visible at once but not the ones
of gedit, hexchat and totem. After I have opened firefox, the menus of the latter
programs suddenly appeared.

I hope that helps ...

Multibrelch (mulbrelch) wrote :

Further comments:

1. The 'phenomena' described in msg #91 are the same after a second boot.

2. Three new observations
a) Right after the boot, I started a terminal (no start of firefox). Apart from 'calculator' it is a program that shows its menu without starting firefox. HOWEVER, independently on firefox, the first menu expands upon mouse-over+click, but not the 6 menu entries - they do not expand.
b) After having started firefox, I start seeing the menu of totem (remember, totem does not show a menu before). None of the menu entries expands, however.
c) After having started firefox and then gedit, the menu of gedit is NOT visible. So, one needs to start a program first and then firefox to see the program's menu.

All this is strange ... boh ... :-)

I hope I could help ...

Multibrelch (mulbrelch) wrote :

... but not the other 6 menu entries ...

Multibrelch (mulbrelch) wrote :

Last but most important message from me for today: all works now !! (?)

I have done a 'sudo apt update && sudo apt dist-upgrade' and saw that there is a new version of 'indicator-appemenu' from Marco + some mysql things. After having installed this and a 3rd boot, I noticed that ALL programs have now a functioning menu, which perfectly expands for all entries. This is independent if firefox is running or not.

I attached the file 'unity-panel-service.log'.

This really is strange but, well, now all works.

Cheers.

Pierre Blanche (pablanche) wrote :

Glad for you Multibrelch, but this did not wok here.
--
Pierre

Ray Strilec (rstrilec) wrote :

I added the ppa:3v1n0/xenial-missing-menus-tests and did a sudo apt-get update && sudo apt dist-upgrade, logged out, logged back in and menus are back in Evolution, gedit, Rhythmbox that were problems earlier.

the problem disappeared now but menus are again missing in gedit if i do sudo gedit ...

Sometimes appears as instantaneously disappears ... for more sudo apt-get updates, upgrades and dist-upgrade I do I never will be sure if this top toolbar menu will appear.
It is an hope and a disgrace :) I am here in this impasse if I must or not reinstall all ubuntu 16.04...

The problem disappeared in my installations but I note a strange behavior:

In system Appearance i have the standard behavior: show menus in the menu bar displayed on mouse hovering.

if I open nautilus from the launcher or from the dash or from terminal I have the menu as from standard behavior. If I open nautilus from terminal with 'sudo nautilus' i see the menu in the window title bar.

If I open a document from terminal with 'gedit xxx' I see the menu, if I do 'sudo gedit xxx' I have NO menu.

again the same problem on ubuntu 16.10 Yakkety Yak on nautilus and gedit also NOT using root.

Sadi Yumuşak (sa-yu) wrote :

I had this problem after upgrading from 15.10 to 16.04 several days ago with only GTK3 apps, excluding those started with root priviledges as well as other apps like Chrome, Thunderbird, VLC, etc.

As I've started reading this bug report, here's an account of what happened (with a happy end ;-)

1. The command "initctl restart unity-panel-service" restored the missing menu bar
2. The "~/.config/unity-panel-service.conf" file with the command "start on started unity7" had no effect on the missing menu bar, but made the whole system menu (from keyboard indicator to the right) vanish as well.
3. The command "initctl restart unity-panel-service" restored both missing items
4. The "~/.config/unity-panel-service.conf" file with the "start on starting unity7" restored the original state.
5. Deleting the last .conf file had no effect.
6. After trying both versions of "~/.config/unity-panel-service.conf" a couple of times, things were getting a bit confusing...
7. I then went to the next step of adding the repository "ppa:3v1n0/xenial-missing-menus-tests" to install the "indicator-appmenu".
8. And finally I followed your advice to replace the contents of "/usr/lib/x86_64-linux-gnu/bamf/bamfdaemon-dbus-runner" with "http://paste.ubuntu.com/16046263/"

Voila! It seems my problem seems to have disappeared now, hopefully, although I've just tested it with a couple of reboots (so I keep my fingers crossed).

Attached is my "~/.cache/unity-panel-service.log" just in case it might be of some use.

Thanks a lot!

Simon Déziel (sdeziel) wrote :

May I suggest a simpler version of the bamfdaemon-dbus-runner script:

#!/bin/sh

if [ -n "$UPSTART_SESSION" ]; then
  initctl status bamfdaemon | grep -q start || initctl start bamfdaemon
else
  /usr/lib/x86_64-linux-gnu/bamf/bamfdaemon
fi

Regards,
Simon

Pierre Blanche (pablanche) wrote :

Thanks Sadi,

That worked for me too!

--
Pierre

insp (geiser007) wrote :

Replacing the contents of "/usr/lib/x86_64-linux-gnu/bamf/bamfdaemon-dbus-runner" with "http://paste.ubuntu.com/16046263/" didn't work for me

How do we know if this problem has gone away?

Anyway, I'm pretty sure that disabling the hover for menus was sufficient to eliminate the problem on my machine. )However I can't imagine why anyone would want such a feature in the first place. Just because Microsoft uses a similar feature in certain places?)

Ian (ian-bradley) wrote :

@shanen It makes a lot of sense for applications with title bars that have to do with the content you're viewing. Web browsers and media players are good examples.

I've pushed to the PPA also a different version of BAMF, it changes the startup script as posted above, let me know if you get better results with that.

Also updated logging in indicator-appmenu, so your logs are still very welcome.

Jean-Marc (m-balthazar) wrote :

Hi Marco,

It seems to work for me after first reboot.
I continue to test.

Thank you

Rui Neto (rnetocombr) wrote :

1) Error happened yesterday with gnome-terminal.
2) Installed ppa from Marco;
3) Upgraded the ppa today;
4) Everything working so far.

Pinkesh (pinkbadpink) wrote :

Is this fixed, or is there any temporary solution?
Just to make sure i am looking at the same bug, i have attached a screenshot.

Also, if i am correct then i think this is a duplicate bug report that i can close?
https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/1575535

Jean-Marc (m-balthazar) wrote :

@Pinkesh,

I do not think your bug is similar.
This one concern only missing menu bar (File, Edit, View, Help...) in GTK apps (Gedit, Simple Scan, Shotwell...).

@Marco Trevisan,

I confirm that your ppa works for me after reboot, suspend/resume and logout/login.

Thank you

Michael (oehme) wrote :
Download full text (3.2 KiB)

Hi Marco,

did a fresh install of 16.04 (Asrock DualVSTA-775, AMD HD4670) with your ppa. (as date of 20160429, 18:33 MEST)
After login the Unity background is "garbled", the Unity panel does not work (although its displayed), Menus are missing. Only the mouse can be moved.

 cat ~/.cache/upstart/unity-panel-service.log
16033034 indicator_appmenu_init, indicator-appmenu.c:276 (0x25eb160)
16069919 indicator_appmenu_delayed_init, indicator-appmenu.c:290 (0x25eb160), mode 2
16080843 indicator_appmenu_delayed_init, indicator-appmenu.c:300 (0x25eb160), bamf matcher 0x266bf60
16081694 find_relevant_windows, indicator-appmenu.c:576 (0x25eb160), windows (nil), 0
21206977 new_window, indicator-appmenu.c:593 (0x25eb160), window 44040194 'XdndCollectionWindowImp',
21208149 ensure_menus, indicator-appmenu.c:1077 (0x25eb160), window 44040194 'XdndCollectionWindowImp', unique name (null)
Indicator-Appmenu-Message: Looking for parent window on XID 44040194

(unity-panel-service:1540): GLib-GObject-WARNING **: invalid cast from 'BamfApplication' to 'BamfWindow'

** (unity-panel-service:1540): CRITICAL **: bamf_window_get_xid: assertion 'BAMF_IS_WINDOW (self)' failed
21274067 new_window, indicator-appmenu.c:593 (0x25eb160), window 0 'Compiz',
21292139 new_window, indicator-appmenu.c:593 (0x25eb160), window 29360138 'Schreibtisch',
21308123 ensure_menus, indicator-appmenu.c:1077 (0x25eb160), window 29360138 'Schreibtisch', unique name :1.58

(unity-panel-service:1540): Indicator-Appmenu-CRITICAL **: window_menu_model_new: assertion 'BAMF_IS_APPLICATION(app)' failed

(unity-panel-service:1540): Indicator-Appmenu-CRITICAL **: track_menus: assertion 'IS_WINDOW_MENU(menus)' failed
Indicator-Appmenu-Message: Looking for parent window on XID 29360138
21310140 new_window, indicator-appmenu.c:593 (0x25eb160), window 44040204 'Hud',
21313122 ensure_menus, indicator-appmenu.c:1077 (0x25eb160), window 44040204 'Hud', unique name (null)
Indicator-Appmenu-Message: Looking for parent window on XID 44040204
21314095 new_window, indicator-appmenu.c:593 (0x25eb160), window 44040203 'unity-dash',
21314970 ensure_menus, indicator-appmenu.c:1077 (0x25eb160), window 44040203 'unity-dash', unique name (null)
Indicator-Appmenu-Message: Looking for parent window on XID 44040203
21315752 new_window, indicator-appmenu.c:593 (0x25eb160), window 44040200 'unity-panel',
21320346 ensure_menus, indicator-appmenu.c:1077 (0x25eb160), window 44040200 'unity-panel', unique name (null)
Indicator-Appmenu-Message: Looking for parent window on XID 44040200
21321312 new_window, indicator-appmenu.c:593 (0x25eb160), window 44040197 'unity-launcher',
21322214 ensure_menus, indicator-appmenu.c:1077 (0x25eb160), window 44040197 'unity-launcher', unique name (null)
Indicator-Appmenu-Message: Looking for parent window on XID 44040197
21324096 ensure_menus, indicator-appmenu.c:1077 (0x25eb160), window 29360138 'Schreibtisch', unique name :1.58

(unity-panel-service:1540): Indicator-Appmenu-CRITICAL **: window_menu_model_new: assertion 'BAMF_IS_APPLICATION(app)' failed

(unity-panel-service:1540): Indicator-Appmenu-CRITICAL **: track_menus: assertion 'IS_WINDOW_MENU(menus)' failed
Indicator-Appmenu-Message: ...

Read more...

Multibrelch (mulbrelch) wrote :

Hi Marco.

Today, I have done a 'sudo apt dist-upgrade', with your ppa from msg #65 still active. The following stuff was upgraded:

bamfdaemon bind9-host dnsutils gwyddion gwyddion-common indicator-appmenu inkscape language-selector-common language-selector-gnome libbamf3-2 libbind9-140 libdns-export162 libdns162 libgwyddion2-0 libisc-export160 libisc160 libisccc140 libisccfg140 liblwres141 python3-distupgrade ubuntu-core-launcher ubuntu-release-upgrader-core ubuntu-release-upgrader-gtk

The system is stable and the menus work perfectly well. I attached the 'unity-panel-service.log' file. I hope that helps.

@Ian (ian-bradley)
You say it makes a lot of sense, but not to me, so I must have been unclear in my description of what does not make sense.

The Title bar where the menus will appear is there and taking up screen real estate whether or not you are hovering over it. The new feature (if I understand it correctly) appears to make the menus go away some of the time, and I can't imagine why that is supposed to be sensible behavior. Selecting the location of where the menus appear makes some sense, but hiding them altogether just doesn't make sense for the focal app that might want to do something...

My current theory of the bug that I saw (which I am still pretty sure is related to the one described here) is that the menu-hiding thing was somehow getting weirded out and became unable to unhide the menus when it should. My strongest evidence is that it when away when I changed the Appearance settings to disable the dynamic menu behavior. That is not conclusive both because other upgrades were still being installed (including at least one large one about 100 MB) and because I'm not even certain that I was seeing the same bug...

However, the more serious bug that seemed to be a memory leak affecting BOINC Manager has almost surely been cured. At this point I'm basically okay with 16.04 and just regard these things as teething problems--but I still haven't found any fresh new or even compelling features in 16.04... My concrete definition of compelling feature is "Would I have donated some money to help implement or support the ongoing costs of that feature?" So far I haven't found anything...

Correction: "when away" should be "went away".

Hi everybady,

I have made an interesting discovery.

I would voluntarily merge bugs #1532226 and #1532318 and will consequently consider both the menus malfunction and the open apps tracking malfunction collectively as THE BUG in the rest of this message.

Like others, I witness THE BUG the first time I login on fresh boot.

Once my session fully loaded but broken, I logout. Then I login again and I have a perfectly functional session without suffering from THE BUG.

I first tried to look at /tmp directory contents variations from session to session but found nothing.

But I noticed that failing sessions took a huge time to load while functional sessions only took a few seconds. My understanding was then that there must be a race in initialisation of the different components involved (Unity, Bamf, Wnck, DBus, whatever ...), and I suspect one of them may well bailout if some other componant doen't respond within an arbitry fixed delay (which is rather bad desing).

Now, consider my last functional session already open, I will do the following steps in order :

  - 1) Close this session (logout).

  - 2) Drop the caches to simulate a fresh boot using bash as root :
         root@maison:~# sync ; echo 3 > /proc/sys/vm/drop_caches
         root@maison:~#

  - 3) Login again.

  - 4) Test the newly open session (menus, open apps tracking).

I can clearly see at step #4 that THE BUG reappeared.

Then I logout and login again and, guess what ? THE BUG disappeared !

That's why I think this is races which cause THE BUG.

In hope this helps.

Sincerely,
Valentin

I can confirm the aforementioned PPA + update restored menus in fresh 16.04. Get these fixes to official channels!

Zunbeltz Izaola (zunbeltz) wrote :

After installing the PPA everything seems to work again.
Previously I had launch the unity command in the terminal.
The bug was showing every time I log in.

Thanks for the logs and all the tests.

Valentin, that seems also very intresting, thanks. Did you perform these steps also with the PPA installed?
Also, yes lp:1532318 seems related to this looking at the logs.

A further test to verify that the fix isn't relatead to the debugging bits in indicator-appmenu (you know, in timing issues like this, even a printf can change the way things behave), can you please downgrade the indicator-appmenu version to the one in the archive? Just do
 - apt-get install indicator-appmenu/xenial

By keeping bamfdaemon from the PPA, though.

Sadi Yumuşak (sa-yu) wrote :

I can confirm that I have no problem after downgrading the indicator-appmenu package to the one in official repositories while keeping bamfdaemon from the PPA.

I used no _related_ PPA ; I'm on bare up-to-date Xenial. I even got
rid of Oibaf's graphics stack PPA to return to plain and genuine
Xenial's one ; the bug still persist.

2016-05-02 13:56 UTC+02:00, Sadi Yumuşak <email address hidden>:
> I can confirm that I have no problem after downgrading the indicator-
> appmenu package to the one in official repositories while keeping
> bamfdaemon from the PPA.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1575865).
> https://bugs.launchpad.net/bugs/1532226
>
> Title:
> No menu bar in gtk apps on fresh boot
>
> Status in Release Notes for Ubuntu:
> Fix Released
> Status in unity package in Ubuntu:
> Confirmed
>
> Bug description:
> Seen here in fresh 16.04 install using 01/07/16 image.
> Around 35% of fresh boots or restarts results in no menus in unity panel
> for most apps, notable exceptions are firefox & thunderbird
> A log out/in restores functionality.
> When this occurs there is nothing in any of the ~/.cache/upstart logs of
> obvious note
>
> Test case:
> fresh install, no changes
> Do a number of restarts from system settings, using either restart >
> restart or shutdown > restart, here randomly picked one or the other
> What happens here:
> around 35% of the time the login has no menus in the unity panel for most
> apps.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-release-notes/+bug/1532226/+subscriptions
>

Zunbeltz Izaola (zunbeltz) wrote :

I can confirm that I have no problem after downgrading the indicator-appmenu package to the one in official repositories while keeping bamfdaemon from the PPA.

Michael (oehme) wrote :

After downgrading indicator-appmenu the bug still persists - at least for me. After logging in the desktop appears, the unity panel is visible, menus misssing.
The mouse can be moved. Klicking on any icon in the panel does nothing, i.e. nothing happens.

Zunbeltz Izaola (zunbeltz) wrote :

I have to correct my comment #122. Menus in application like LibreOffice and gnucash doesn't show up. I tried with the two versions of the indicator-appmenu (xenial repositories and the PPA).

Rui Neto (rnetocombr) wrote :

1) Clean Xenial install;
2) Bug happened yesterday with gnome-terminal;
3) Enabled Marcos's ppa; Installed packages and updated (bamf, menu indicator,...);
4) Multiple reboots: everything ok! Seems fixed.

Maybe time to an official fix ?

Cheers!

tags: added: desktop-trello-import
tags: removed: desktop-trello-import
Zunbeltz Izaola (zunbeltz) wrote :

The update of bamfdeamond of today doesn't fix the problem with the menus in LibreOffice.

Roger (roger712) wrote :

Hey,

I installed Ubuntu 16.04 on my system on May 12, 2016. It looked fine. But, since yesterday the taskbar as well as the menubar in the home screen does not appear. At first, the menubar of individual applications also were missing but that didn't happen after reboot. I have attached a screenshot of my screen.

I tried the following:
*Multiple reboots
*Updating the system
*initcl restart unity-panel-service
*unity

I haven't tried the patches mentioned in the comments above. Am I supposed to do those patches since I downloaded the OS 2 days ago?

Roger, no unity is running there.
Maybe your compiz settings have been compromised.

If unity is correclty installed in your system, calling

gsettings set org.compiz.core:/org/compiz/profiles/unity/plugins/core/ active-plugins "['core', 'composite', 'opengl', 'compiztoolbox', 'vpswitch', 'snap', 'mousepoll', 'resize', 'place', 'move', 'wall', 'grid', 'regex', 'imgpng', 'session', 'gnomecompat', 'animation', 'fade', 'unitymtgrabhandles', 'workarounds', 'scale', 'expo', 'ezoom', 'unityshell']"

Should fix the problem.

jromer (jr1) wrote :

This link

http://askubuntu.com/questions/762137/applications-menu-missing-from-menu-bar

said to enter "unity" in terminal after every boot. I added it to Startup Applications. It seems to be a work-around.

Multibrelch (mulbrelch) wrote :

Hi Marco.

After a break of ~2 weeks during which I did not use my laptop with 16.04, I started it today (remember, before I did all the stuff you told us, see msgs before).

According to your message #119, I have done the following today:

1.
sudo apt update
sudo apt dist-upgrade
reboot
=> nothing changed, all menus worked well

2.
sudo rm /etc/apt/sources.list.d/3v1n0-ubuntu-xenial-missing-menus-tests-xenial.list
sudo apt-get install indicator-appmenu/xenial
reboot
=> nothing changed, all menus work still quite well ...

Let me know if you need some files ... .

I hope all this helps, cheers!

All of a sudden the menu bar has vanished for gnome-terminal alone

On Sun, May 15, 2016 at 6:02 AM, Marco Trevisan (Treviño) <mail@3v1n0.net>
wrote:

> ** Branch linked: lp:~3v1n0/bamf/safer-dbus-runner
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1570502).
> https://bugs.launchpad.net/bugs/1532226
>
> Title:
> No menu bar in gtk apps on fresh boot
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-release-notes/+bug/1532226/+subscriptions
>

Roger (roger712) wrote :

Marco,

Thank you so much! My screen is back to normal now!

Changed in unity (Ubuntu):
status: Confirmed → In Progress

Balaji G: That's another issue, and it's related to bug #1433013.

You can probably try this upstart deb http://people.ubuntu.com/~3v1n0/debs/upstart_1.13.2-0ubuntu21+upstart-test1_amd64.deb as it has some fixes that should fix that problem

I have two computers running Ubuntu 16.04. One is an upgrade, the other is a clean install. On the clean install the menus do not show up on any of my windows every time I reboot my machine, even with the option checked in Settings:Appearance:Behavior:Show the menus for a window

However, I have found a temporary workaround for this, but I had to put it in my Startup Applications. I created a new startup program with the following parameters:
Name: Reload Unity
Command: unity
Comment: Unity has windowing menu problems so it needs to be reloaded after bootup

Now when I reboot, I have all my window menus.

It's either the Startup Application or run terminal every time I reboot to restart unity. On my other machine, the one that I upgraded 14.04 to 16.04, it happens so rarely I just added a custom launcher to Cairo-Dock that would reload unity.

"Same problem in Ubuntu 16.04, the weird thing is than in my Workstation this bug is present but not in my laptop."

I fully confirm this, only in my workstation, not in any of my 2 ultrabooks or my laptop. It happened after upgrading from 15.10 to 16.04. The applications I notice without menus either on the window or the toolbar are nautilus and gedid.

Its a pain in the neck!

Renardo (renardo) wrote :

On my notebook (16.04, daily updates) the problem appeared with an update on 2016-05-06. Now it happens regularly. A single call of "restart unity-panel-service" so far always fixed it. Yes, it looks like some race condition.

Zach Ploskey (zploskey) wrote :

For what it's worth, installing the packages in Marco's PPA fixes this issue for me.

Doug McMahon (mc3man) wrote :

What would be interesting is if you reverted those packages back to the
default ones, odds are the issue would not return
On May 20, 2016 11:15 AM, "Zach Ploskey" <email address hidden> wrote:

> For what it's worth, installing the packages in Marco's PPA fixes this
> issue for me.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1532226
>
> Title:
> No menu bar in gtk apps on fresh boot
>
> Status in Release Notes for Ubuntu:
> Fix Released
> Status in unity package in Ubuntu:
> In Progress
>
> Bug description:
> Seen here in fresh 16.04 install using 01/07/16 image.
> Around 35% of fresh boots or restarts results in no menus in unity panel
> for most apps, notable exceptions are firefox & thunderbird
> A log out/in restores functionality.
> When this occurs there is nothing in any of the ~/.cache/upstart logs of
> obvious note
>
> Test case:
> fresh install, no changes
> Do a number of restarts from system settings, using either restart >
> restart or shutdown > restart, here randomly picked one or the other
> What happens here:
> around 35% of the time the login has no menus in the unity panel for
> most apps.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-release-notes/+bug/1532226/+subscriptions
>

Zach Ploskey (zploskey) wrote :

Removing Marco's PPA packages results in missing menus, same as before.

On 05/20/2016 11:54 AM, Doug McMahon wrote:
> What would be interesting is if you reverted those packages back to the
> default ones, odds are the issue would not return
> On May 20, 2016 11:15 AM, "Zach Ploskey" <email address hidden> wrote:
>
>> For what it's worth, installing the packages in Marco's PPA fixes this
>> issue for me.
>>

Doug McMahon (mc3man) wrote :

On 05/23/2016 12:57 PM, Zach Ploskey wrote:
> Removing Marco's PPA packages results in missing menus, same as before.
>
> On 05/20/2016 11:54 AM, Doug McMahon wrote:
>> What would be interesting is if you reverted those packages back to the
>> default ones, odds are the issue would not return
>> On May 20, 2016 11:15 AM, "Zach Ploskey" <email address hidden> wrote:
>>
>>> For what it's worth, installing the packages in Marco's PPA fixes this
>>> issue for me.
>>>
Well then it seems the 'fix' has value. Only asking because in the 5+
months that this issue has occurred it has gone away after a few weeks
in all cases I've known (25+ users).
For myself the same in both my machines, ie. went away, & which no
longer get the bug in fresh release installs either.

Martin Pitt (pitti) wrote :

Please make sure to set correct source packages so that they get auto-closed. This one was allegedly fixed in https://launchpad.net/ubuntu/+source/bamf/0.5.3~bzr0+16.10.20160516-0ubuntu1

affects: unity (Ubuntu) → bamf (Ubuntu)
Changed in bamf (Ubuntu):
status: In Progress → Fix Released
Changed in bamf (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed

Hello Doug, or anyone else affected,

Accepted bamf into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/bamf/0.5.3~bzr0+16.04.20160523-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Zach Ploskey (zploskey) wrote :

I tested bamfdaemon and libbamf3-2, both version 0.5.3~bzr0+16.04.20160523-0ubuntu1, from xenial-proposed. It works for me. Menus appear to work correctly with this version.

tags: added: verification-done
removed: verification-needed
Rui Neto (rnetocombr) wrote :

Downloaded Xenial cdimage and updated and upgraded yesterday (bamf package was updated from proposed).

Menus are working. Five or six reboots, all with menus.

Nigel Winterbottom (8-nigel) wrote :

I would like to propose a test case:
I am affected by this bug but have discovered that if at the login screen, I delay a minute or so before logging in, the menus appear normally. However if I do not delay logging in; the menus never appear.

I don't have specific timing details, but delaying long enough to pour a mug of tea always results in working menus.

This would support the race condition suggested above.

The test case then: is so login as quickly as possible after the login screen appears using perhaps a NULL password or enabling the "login automatically" feature.

Will Cooke (willcooke) wrote :

Would enabling auto-login work in for this test? My machine never has the issues, so I can't test. If someone who is affected by this and hasn't enabled the fix yet could try enabling auto-login and see if they get breakage before downloading the fixed version, that would be a good test indeed. Thanks Nigel.

V F (trivia21) wrote :

I only had problem with gedit (3.18.3-0ubuntu4) run as administrator.
Installed bamfdaemon and libbamf3-2:amd64 both version 0.5.3~bzr0+16.04.20160523-0ubuntu1.
Still no menus when gedit is run as root.

Nigel Winterbottom (8-nigel) wrote :

Here's an update to comment #146:

Having suggested enabling the "login automatically" feature I went back to actually try it. A-Ha it never failed; and then again; now; logging in ASAP after boot never failed either. Obviously I'd made a change along the line that had "fixed" my system.

After digging around the logs and finding nothing; it turned out to be AUDIO. I had plugged in my speakers. Now 16.04 looks for ACTIVE audio sinks and has no default audio output if none can be found.

I think it may be the "Ubuntu Drums" playing at the login screen that cause a problem if no audio sink is available.

With speakers attached, my system always presents menus; however I login. When "login automatically" is enabled, no "Drums" are played and my system always works with or without speakers attached.

[What an excellent bug this is turning out to be]

trivia21, when you run apps using sudo, the menus shouldn't be exported at all, but shown inside the app in that case.

grosso (grossogrossum) wrote :

I only had the problem with gedit as root too.
As normal user the menus are showed in any case from the first installation, in gedit and nautilus. Nautilus as root shows menus inside and only in gedit as root has no menu with any appearance configuration I choose. Perhaps is not de same bug.
Is someone who has solved his issue installing the new packages experiencing problems with gedit as root?

Rui Neto (rnetocombr) wrote :

I endorse @grosso report. Gedit as root has no menus avaiable.

When you run gedit as root it uses CSD (Client Side Decorations) something that is patched out in Ubuntu but apparently the patch doesn't work for root.

gedit with CSD should look like this: http://2.bp.blogspot.com/-tAION31T1J4/VgKtBTmqWOI/AAAAAAAAW5k/qxa5fz7qXdo/s1600/gedit-minimap.png

That's a different bug, please open one in gedit.

For people reporting gedit with no menus when run as root there is already bug report open about this issue:

https://bugs.launchpad.net/ubuntu/+source/gedit/+bug/1527590

Yesfan (mberesheim) on 2016-05-28
Changed in bamf (Ubuntu Xenial):
status: Fix Committed → Fix Released
Rui Neto (rnetocombr) wrote :

It is still in proposed, not main. Should it be marked as released ?

Changed in bamf (Ubuntu Xenial):
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bamf - 0.5.3~bzr0+16.04.20160523-0ubuntu1

---------------
bamf (0.5.3~bzr0+16.04.20160523-0ubuntu1) xenial; urgency=medium

  * bamfdaemon-dbus-runner: don't try to start again if already running
    (LP: #1581896, #1532226)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Mon, 23 May 2016 18:05:13 +0000

Changed in bamf (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for bamf has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Petr Chmelar (chmelab) wrote :

It works :) thanks!

Petr

Zunbeltz Izaola (zunbeltz) wrote :

Althougth the new version of bamf has fixed most of the problems, I still don't have menus in for some application (terminal and libreoffice). Running 'unity' fixed this issue. Delaying the login for 5 minutes has not fix the problem.
Should I open another bug?

shankao (shankao) wrote :

@zunbeltz: yes please

David (davidcarlos196) wrote :

dconf reset -f /org/compiz/
david@david-RV415-RV515:~$ setsid unity
david@david-RV415-RV515:~$ unity-panel-service stop/waiting
unity-panel-service start/running, process 6802
unity7 start/running, process 6809

Quando Reseto esses dois processos volta o normal, mas depois quando eu reiniciou menus desaparecem novamente.

When Reseto these two processes back normal, but then when I restarted menus disappear again.

viktor (illuminati-1968) wrote :

I installed fresh yakkety mate 16.10 in my lap toshiba a305 and the menu bar in libreoffice is missing. What I have to do?? Help in spanish will be apreciated.

Thanks in advance

Vick

  // , Una contesta bien esta aqui, pienso:

    http://askubuntu.com/a/763495/150944

Siga las siguientes instrucciones:

    1. Encontrar Alt+Ctrl+T (Esto abre una "terminal")
    2. Entra 'unity'(Esto reinicia la interfaz "Unity")

Por ejemplo:

    $ unity
    unity-panel-service stop/waiting
    unity7 stop/waiting
    unity-panel-service start/running, process 12968
    unity7 start/running, process 12979

--Nathan Basanese (git.io/v6)

  // , Possiblemente puede hacer instrucciones de esta contesta, si los otros no estan bien: http://askubuntu.com/a/763318/150944

Edvinas (ikonitas) wrote :

It's still affecting me on 16.04 Ubuntu. Can we change status to smth else as it's definitely not fix yet and it's critical issue.

Can you please provide debugging details as requested in comments above
please?

Giuseppe D'Angelo (dangelo) wrote :

Something else I noticed when doing a 14.04->16.04 upgrade: the damn indicator-appmenu package was missing! Installing that brought in the unity-gtk module, which solved the issue for me.

Tony Flury (anthony-flury) wrote :

Ubuntu 16.04 - fully upto date with all updates.

Menus not visible on Terminal, but running

    initctl restart unity-panel-service

definitely restores the missing menus.

I rarely use many other application - but I can confirm that Firefox doesn't seem ever to loose it's menus.

If you need debug information please let me know.

David Anderson (davea42) wrote :

Fully up to date 16.04 . The initctl above restores the items, but
on moving the mouse in and out of the libreoffice panel
the menu bar vanishes, never to return.
On one occasion moving mouse in and out of the libreoffice document
twice was needed to lose the menu bar.

Ubfan (ubfan1) wrote :

Never had this problem on my fully patched Ubuntu 16.04 until just recently, when I noticed that the Firefox menus do not display after restoring from a suspend. gnome-terminal and gedit are OK. Iconizing Firefox, then restoring, restores the menus to working condition. Same sorts of errors in ~/.cache/upstart/unity-panel-service.log as seen earlier.

cat ~/.cache/upstart/unity-panel-service.log

(unity-panel-service:2121): Indicator-Appmenu-WARNING **: Already have a menu for window ID 65011728 with path /com/canonical/menu/3E00010 from :1.81, unregistering that one
(unity-panel-service:2121): Indicator-Appmenu-CRITICAL **: menus_destroyed: assertion 'IS_WINDOW_MENU(wm)' failed
(unity-panel-service:2121): Indicator-Appmenu-CRITICAL **: menus_destroyed: assertion 'IS_WINDOW_MENU(wm)' failed
(unity-panel-service:2121): LIBDBUSMENU-GLIB-WARNING **: Unable to get menu proxy: Operation was cancelled
(unity-panel-service:2121): Indicator-Appmenu-CRITICAL **: window_menu_model_new: assertion 'BAMF_IS_APPLICATION(app)' failed
(unity-panel-service:2121): Indicator-Appmenu-CRITICAL **: track_menus: assertion 'IS_WINDOW_MENU(menus)' failed

The window 3E00010 is the Firefox window. No unity process has died or been restarted. The bamfdaemon has been running since boot.

What recently changed was adding a script to kill compiz returning from a suspend, so the Nvidia driver 375.39 screen artifacts get removed.

dundir (dundir) wrote :

Looks like there may be a regression. I'm having this issue in 16.10

Linux Workstation 4.8.0-54-generic #57-Ubuntu SMP Wed May 24 10:21:44 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

I've attached a copy of the syslog file. Please let me know if you need anything else. There is no unity panel log in the cache folder.

In addition to what was mentioned above with the menus being gone, windows aren't painted and Ctrl+Alt+F# doesn't change to a TTY.

Ctrl+Alt+T opens a terminal, and the active application icon on the unity bar is painted, but window and output are not painted.

Logging in and out multiple times seems to fix some of it with exception to the terminal launched from the shortcut, and switching TTYs.

In my case this started following a Fresh default Install (with LVM). The only action taken on the fresh system were updates and resizing the root LVM filesystem to a lower size. At first there was only a mouse cursor issue where the mouse would jump a distance over a vertical invisible line. The main issue did not present until testing the snapshot merge following several reboots.

jerriy (jerriy) wrote :

This bug is still happening!

I have qbittorent installed today and the menu (file, edit, help, etc) that should be there on the top toolbar has completely disappeared (and in qbitttorent there is no alternative (like the menu doesn't appear in a right click or something) which means I am totally UNABLE to access the menu functions.

Changed in bamf (Ubuntu Xenial):
importance: Undecided → Critical
Billiau (anitabilliau65) on 2019-03-20
Changed in bamf (Ubuntu):
assignee: Marco Trevisan (Treviño) (3v1n0) → Billiau (anitabilliau65)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions